VismaBouwsoftAPICalls.v1_GET_ZipCodes Method
v1_GET_ZipCodes() as String

This API call is used to get fields of a(n) ZipCode(s)

HTTP method API version
GET v1

Don’t forget to put the Authorization field in the header

API Path: /ZipCodes/
or
API Path: /ZipCodes/{id}
or
API Path: /ZipCodes/FieldInfo/

You can make this API call:
* without the key field id to get a list of ZipCodes
* with the key field id as the path parameter (the specific id of the ZipCode you want to get)
* to request the FieldInfo for this call

Fields

The following fields are available:

Field Name Type Name Length Required Writeable Force Write Link
countrycode tpString 2 No No No
zipcode tpString 15 No No No
city tpString 40 No No No
state tpString 40 No No No
country tpString 50 No No No
telephoneprefix tpLong 0 No No No

/ZipCodes/

API Path: /ZipCodes/

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/ZipCodes

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: OtOfWxftVAzSfIGbrfzRqrOffPfbGfmbfDObzmOPmmtfttmVlj

Query Parameters :
ParameterName: limit, ParameterValue: 5
ParameterName: sort, ParameterValue: id

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–4/21877”, “Records”: [
  {
    "id": 1,
    "countrycode": "BE",
    "zipcode": "8377",
    "city": "Meetkerke",
    "state": "West-vlaanderen",
    "country": "BELGIUM",
    "telephoneprefix": 32
  },
  {
    "id": 3,
    "countrycode": "FI",
    "zipcode": "00100",
    "city": "Helsinki 10",
    "state": "",
    "country": "FINLAND",
    "telephoneprefix": 358
  }
,

]
}

/ZipCodes/{id}

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/ZipCodes/22674

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: OtOfWxftVAzSfIGbrfzRqrOffPfbGfmbfDObzmOPmmtfttmVlj

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": 22674,
    "countrycode": "BE",
    "zipcode": "8791",
    "city": "Beveren (Leie)",
    "state": "West-Vlaanderen",
    "country": "BELGIUM",
    "telephoneprefix": 32
  }
]
}

/ZipCodes/FieldInfo

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/ZipCodes/FieldInfo

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: UOIfWxffkAzSfrUjPtzRqUUbfkrkIOlljbPtzDDlVrfGjAmtfb
ParameterName: Clientnr, ParameterValue: 115

Success gives statuscode 200 And the following result

[
  {
    "name": "countrycode",
    "type_id": 2,
    "type_name": "tpString",
    "length": 2,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  },
  {
    "name": "zipcode",
    "type_id": 2,
    "type_name": "tpString",
    "length": 15,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  }
,

]